%bcond_with bootstrap

Summary:        Plexus Security Dispatcher Component
Name:           plexus-sec-dispatcher
Version:        2.0
Release:        4%{?dist}
License:        ASL 2.0
URL:            https://github.com/codehaus-plexus/plexus-sec-dispatcher
Source0:        %{url}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap-openjdk8
%else
BuildRequires:  maven-local-openjdk8
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  %{?module_prefix}mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  %{?module_prefix}mvn(org.sonatype.plexus:plexus-cipher)
%endif

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
Plexus Security Dispatcher Component

%{?module_package}
%{?javadoc_package}



%prep
%autosetup -n %{name}-%{name}-%{version}

cp %{SOURCE1} .

%pom_remove_parent

%pom_xpath_inject 'pom:project' '<groupId>org.codehaus.plexus</groupId>'

%mvn_file : plexus/%{name}

%mvn_alias org.codehaus.plexus: org.sonatype.plexus:



%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8



%install
%mvn_install



%files -n %{?module_prefix}%{name} -f .mfiles
%license LICENSE-2.0.txt



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Zhao Zhen <jeremiazhao@tencent.com> - 2.0-2
- switched to non-bootstrap building

* Wed Apr 12 2023 Zhao Zhen <jeremiazhao@tencent.com> - 2.0-1
- initial
